Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# png_struct_def Struct Reference

`#include <png.h>`

Collaboration diagram for png_struct_def:

[legend]
List of all members.

## Public Attributes
jmp_buf | jmpbuf
png_error_ptr | error_fn
png_error_ptr | warning_fn
png_voidp | error_ptr
png_rw_ptr | write_data_fn
png_rw_ptr | read_data_fn
png_voidp | io_ptr
png_user_transform_ptr | read_user_transform_fn
png_user_transform_ptr | write_user_transform_fn
png_voidp | user_transform_ptr
png_byte | user_transform_depth
png_byte | user_transform_channels
png_uint_32 | mode
png_uint_32 | flags
png_uint_32 | transformations
z_stream | zstream
png_bytep | zbuf
png_size_t | zbuf_size
int | zlib_level
int | zlib_method
int | zlib_window_bits
int | zlib_mem_level
int | zlib_strategy
png_uint_32 | width
png_uint_32 | height
png_uint_32 | num_rows
png_uint_32 | usr_width
png_uint_32 | rowbytes
png_uint_32 | irowbytes
png_uint_32 | iwidth
png_uint_32 | row_number
png_bytep | prev_row
png_bytep | row_buf
png_bytep | sub_row
png_bytep | up_row
png_bytep | avg_row
png_bytep | paeth_row
png_row_info | row_info
png_uint_32 | idat_size
png_uint_32 | crc
png_colorp | palette
png_uint_16 | num_palette
png_uint_16 | num_trans
png_byte | chunk_name [5]
png_byte | compression
png_byte | filter
png_byte | interlaced
png_byte | pass
png_byte | do_filter
png_byte | color_type
png_byte | bit_depth
png_byte | usr_bit_depth
png_byte | pixel_depth
png_byte | channels
png_byte | usr_channels
png_byte | sig_bytes
png_uint_16 | filler
png_byte | background_gamma_type
float | background_gamma
png_color_16 | background
png_color_16 | background_1
png_flush_ptr | output_flush_fn
png_uint_32 | flush_dist
png_uint_32 | flush_rows
int | gamma_shift
float | gamma
float | screen_gamma
png_bytep | gamma_table
png_bytep | gamma_from_1
png_bytep | gamma_to_1
png_uint_16pp | gamma_16_table
png_uint_16pp | gamma_16_from_1
png_uint_16pp | gamma_16_to_1
png_color_8 | sig_bit
png_color_8 | shift
png_bytep | trans
png_color_16 | trans_values
png_read_status_ptr | read_row_fn
png_write_status_ptr | write_row_fn
png_progressive_info_ptr | info_fn
png_progressive_row_ptr | row_fn
png_progressive_end_ptr | end_fn
png_bytep | save_buffer_ptr
png_bytep | save_buffer
png_bytep | current_buffer_ptr
png_bytep | current_buffer
png_uint_32 | push_length
png_uint_32 | skip_length
png_size_t | save_buffer_size
png_size_t | save_buffer_max
png_size_t | buffer_size
png_size_t | current_buffer_size
int | process_mode
int | cur_palette
png_size_t | current_text_size
png_size_t | current_text_left
png_charp | current_text
png_charp | current_text_ptr
png_bytep | palette_lookup
png_bytep | dither_index
png_uint_16p | hist
png_byte | heuristic_method
png_byte | num_prev_filters
png_bytep | prev_filters
png_uint_16p | filter_weights
png_uint_16p | inv_filter_weights
png_uint_16p | filter_costs
png_uint_16p | inv_filter_costs
png_charp | time_buffer
png_uint_32 | free_me
png_voidp | user_chunk_ptr
png_user_chunk_ptr | read_user_chunk_fn
int | num_chunk_list
png_bytep | chunk_list
png_byte | rgb_to_gray_status
png_uint_16 | rgb_to_gray_red_coeff
png_uint_16 | rgb_to_gray_green_coeff
png_uint_16 | rgb_to_gray_blue_coeff
png_uint_32 | mng_features_permitted
png_fixed_point | int_gamma
png_byte | filter_type
png_byte | mmx_bitdepth_threshold
png_uint_32 | mmx_rowbytes_threshold
png_uint_32 | asm_flags
png_voidp | mem_ptr
png_malloc_ptr | malloc_fn
png_free_ptr | free_fn
png_bytep | big_row_buf
png_bytep | dither_sort
png_bytep | index_to_palette
png_bytep | palette_to_index
png_byte | compression_type
png_uint_32 | user_width_max
png_uint_32 | user_height_max

## Member Data Documentation

png_uint_32 png_struct_def::asm_flags

png_bytep png_struct_def::avg_row

png_color_16 png_struct_def::background

png_color_16 png_struct_def::background_1

float png_struct_def::background_gamma

png_byte png_struct_def::background_gamma_type

png_bytep png_struct_def::big_row_buf

png_byte png_struct_def::bit_depth

png_size_t png_struct_def::buffer_size

png_byte png_struct_def::channels

png_bytep png_struct_def::chunk_list

png_byte png_struct_def::chunk_name[5]

png_byte png_struct_def::color_type

png_byte png_struct_def::compression

png_byte png_struct_def::compression_type

png_uint_32 png_struct_def::crc

int png_struct_def::cur_palette

png_bytep png_struct_def::current_buffer

png_bytep png_struct_def::current_buffer_ptr

png_size_t png_struct_def::current_buffer_size

png_charp png_struct_def::current_text

png_size_t png_struct_def::current_text_left

png_charp png_struct_def::current_text_ptr

png_size_t png_struct_def::current_text_size

png_bytep png_struct_def::dither_index

png_bytep png_struct_def::dither_sort

png_byte png_struct_def::do_filter

png_progressive_end_ptr png_struct_def::end_fn

png_error_ptr png_struct_def::error_fn

png_voidp png_struct_def::error_ptr

png_uint_16 png_struct_def::filler

png_byte png_struct_def::filter

png_uint_16p png_struct_def::filter_costs

png_byte png_struct_def::filter_type

png_uint_16p png_struct_def::filter_weights

png_uint_32 png_struct_def::flags

png_uint_32 png_struct_def::flush_dist

png_uint_32 png_struct_def::flush_rows

png_free_ptr png_struct_def::free_fn

png_uint_32 png_struct_def::free_me

float png_struct_def::gamma

png_uint_16pp png_struct_def::gamma_16_from_1

png_uint_16pp png_struct_def::gamma_16_table

png_uint_16pp png_struct_def::gamma_16_to_1

png_bytep png_struct_def::gamma_from_1

int png_struct_def::gamma_shift

png_bytep png_struct_def::gamma_table

png_bytep png_struct_def::gamma_to_1

png_uint_32 png_struct_def::height

png_byte png_struct_def::heuristic_method

png_uint_16p png_struct_def::hist

png_uint_32 png_struct_def::idat_size

png_bytep png_struct_def::index_to_palette

png_progressive_info_ptr png_struct_def::info_fn

png_fixed_point png_struct_def::int_gamma

png_byte png_struct_def::interlaced

png_uint_16p png_struct_def::inv_filter_costs

png_uint_16p png_struct_def::inv_filter_weights

png_voidp png_struct_def::io_ptr

png_uint_32 png_struct_def::irowbytes

png_uint_32 png_struct_def::iwidth

jmp_buf png_struct_def::jmpbuf

png_malloc_ptr png_struct_def::malloc_fn

png_voidp png_struct_def::mem_ptr

png_byte png_struct_def::mmx_bitdepth_threshold

png_uint_32 png_struct_def::mmx_rowbytes_threshold

png_uint_32 png_struct_def::mng_features_permitted

png_uint_32 png_struct_def::mode

int png_struct_def::num_chunk_list

png_uint_16 png_struct_def::num_palette

png_byte png_struct_def::num_prev_filters

png_uint_32 png_struct_def::num_rows

png_uint_16 png_struct_def::num_trans

png_flush_ptr png_struct_def::output_flush_fn

png_bytep png_struct_def::paeth_row

png_colorp png_struct_def::palette

png_bytep png_struct_def::palette_lookup

png_bytep png_struct_def::palette_to_index

png_byte png_struct_def::pass

png_byte png_struct_def::pixel_depth

png_bytep png_struct_def::prev_filters

png_bytep png_struct_def::prev_row

int png_struct_def::process_mode

png_uint_32 png_struct_def::push_length

png_rw_ptr png_struct_def::read_data_fn

png_read_status_ptr png_struct_def::read_row_fn

png_user_chunk_ptr png_struct_def::read_user_chunk_fn

png_user_transform_ptr png_struct_def::read_user_transform_fn

png_uint_16 png_struct_def::rgb_to_gray_blue_coeff

png_uint_16 png_struct_def::rgb_to_gray_green_coeff

png_uint_16 png_struct_def::rgb_to_gray_red_coeff

png_byte png_struct_def::rgb_to_gray_status

png_bytep png_struct_def::row_buf

png_progressive_row_ptr png_struct_def::row_fn

png_row_info png_struct_def::row_info

png_uint_32 png_struct_def::row_number

png_uint_32 png_struct_def::rowbytes

png_bytep png_struct_def::save_buffer

png_size_t png_struct_def::save_buffer_max

png_bytep png_struct_def::save_buffer_ptr

png_size_t png_struct_def::save_buffer_size

float png_struct_def::screen_gamma

png_color_8 png_struct_def::shift

png_color_8 png_struct_def::sig_bit

png_byte png_struct_def::sig_bytes

png_uint_32 png_struct_def::skip_length

png_bytep png_struct_def::sub_row

png_charp png_struct_def::time_buffer

png_bytep png_struct_def::trans

png_color_16 png_struct_def::trans_values

png_uint_32 png_struct_def::transformations

png_bytep png_struct_def::up_row

png_voidp png_struct_def::user_chunk_ptr

png_uint_32 png_struct_def::user_height_max

png_byte png_struct_def::user_transform_channels

png_byte png_struct_def::user_transform_depth

png_voidp png_struct_def::user_transform_ptr

png_uint_32 png_struct_def::user_width_max

png_byte png_struct_def::usr_bit_depth

png_byte png_struct_def::usr_channels

png_uint_32 png_struct_def::usr_width

png_error_ptr png_struct_def::warning_fn

png_uint_32 png_struct_def::width

png_rw_ptr png_struct_def::write_data_fn

png_write_status_ptr png_struct_def::write_row_fn

png_user_transform_ptr png_struct_def::write_user_transform_fn

png_bytep png_struct_def::zbuf

png_size_t png_struct_def::zbuf_size

int png_struct_def::zlib_level

int png_struct_def::zlib_mem_level

int png_struct_def::zlib_method

int png_struct_def::zlib_strategy

int png_struct_def::zlib_window_bits

z_stream png_struct_def::zstream

The documentation for this struct was generated from the following file:

- png.h